Subject: Re: bug#5226: Malayalam conjunct formation breaks down at the end of long words

From: Praveen A <[email-masked]>
Date: Thu, 17 Dec 2009 20:21:50 +0530

2009/12/17 Kenichi Handa <[email-masked]>:
> Thank you for them.  But the log shows that the Malayalam
> rendering is not using the latest Emacs, at least, it seems
> that the latest change for malayalam-composable-pattern is
> not working.
>
> Please show me the result of this:
>
> (aref composition-function-table #xD15)
>
> Mine is this:
>
> (["\\([ക-ഹ]‌?്‌?\\)*[ക-ഹ]\\(്[‍‌]?\\|[െ-ൈൊ-ൌ]?[ൢ-ൣ]?[ാ-ൄൗ]?[ം-ഃ]?\\)\\|[അ-ഔൠ-ൡ]\\(‌?്[ക-ഹ]\\)?[െ-ൈൊ-ൌ]?[ൢ-ൣ]?[ാ-ൄൗ]?[ം-ഃ]?\\|‌്[ക-ഹ]\\|[ഀ-ൿ]" 0 font-shape-gstring])

I copied (aref composition-function-table #xD15) to the Lisp
Interaction buffer and typed c-x c-e. Should I do it any differently?

This is what I get
(["[ഀ-ൿ‌‍]+" 0 font-shape-gstring])

- Praveen
-- 
പ്രവീണ്‍ അരിമ്പ്രത്തൊടിയില്‍
<GPLv2> I know my rights; I want my phone call!
<DRM> What use is a phone call, if you are unable to speak?
(as seen on /.)
Join The DRM Elimination Crew Now!
http://fci.wikia.com/wiki/Anti-DRM-Campaign